Welcome to the Android Central Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!
Results 1 to 6 of 6
  1. Thread Author  Thread Author    #1  

    Default Want to use Older Version of Google Maps

    The phone is a Samsung Note 2 that is a little more than a year old.

    Don't like the newer versions of Google Maps 7.0.2 and later. Want to go back to v6.14.4. Did uninstall but that only took it back to v7.0.2. Internet search gave a link to 6.14.4 download and suggested using Nova Launcher workaround would be needed to installed Maps. So I found Nova and installed it on the Samsung Note 2 and that is working. But I need some help in using Nova Launcher to install downloaded file "Maps_6.14.4-1.apk".

    As a side note, just purchased a LG G2 and Google Maps was the factory older version 6.14.3. I was glad to see the old tried and true Google navigation that includes alternate routes and terrain. Then in a day or so it did an automatic update and I had the dang new version of Maps, which I dislike immensely. One quick uninstall and I was a happy camper again.

    Your help and support will bring back some peace of mind!

    Bill
  2. #2  
    UJ95x's Avatar

    Posts
    9,389 Posts
    Global Posts
    9,654 Global Posts
    ROM
    SlimLP 5.0.2 Weekly

    Default

    Quote Originally Posted by belsen View Post
    The phone is a Samsung Note 2 that is a little more than a year old.

    Don't like the newer versions of Google Maps 7.0.2 and later. Want to go back to v6.14.4. Did uninstall but that only took it back to v7.0.2. Internet search gave a link to 6.14.4 download and suggested using Nova Launcher workaround would be needed to installed Maps. So I found Nova and installed it on the Samsung Note 2 and that is working. But I need some help in using Nova Launcher to install downloaded file "Maps_6.14.4-1.apk".

    As a side note, just purchased a LG G2 and Google Maps was the factory older version 6.14.3. I was glad to see the old tried and true Google navigation that includes alternate routes and terrain. Then in a day or so it did an automatic update and I had the dang new version of Maps, which I dislike immensely. One quick uninstall and I was a happy camper again.

    Your help and support will bring back some peace of mind!

    Bill
    Welcome to Android Central
    The APK should be able to install directly from the web, so you don't need to do anything with Nova launcher. Just make sure you have unknown sources checked in developer options.
    If that doesn't work, you can use Helium on the G2 and use that to back up the Maps APK, and then install it on the Note 2
    Link for Helium: https://play.google.com/store/apps/d...ikdutta.backup

    Sent from my Galaxy S4 running SlimKat 4.4.2
    "We live in a society exquisitely dependent on science and technology, in which hardly anyone knows anything about science and technology." - Carl Sagan

    Current Devices:
    Galaxy Note 4
    rMBP 13"
    iPad 2
  3. #3  

    Default Re: Want to use Older Version of Google Maps

    Hi Bill. I have to agree with you about the new google maps. I feel like google is turning into an Apple ! Give me some freedom. As I am looking to upgrade my old Razr HD to a newer Moto X the maps issue is a deal breaker for me. I did find this post but am not sure if it will work on a non-rooted kit kat phone.
    If I can find out that it works I'll be a happy camper with a new Moto X.
    [APP][MOD] Good old google maps 6! - Parallel install to regular google maps - xda-developers
  4. Thread Author  Thread Author    #4  

    Default Re: Want to use Older Version of Google Maps

    More research today and finally got Maps 6.8.1 to run on my LG G2. Here's the link I downloaded and installed:
    xda-developers - View Single Post - [APP]install Google Maps 6 and 7 and use them together[Root/NoRoot][18.02.2014]

    Thanks Forum Members for the help!
    Bill
  5. #5  

    Default Re: Want to use Older Version of Google Maps

    I tried to install the old 6.14.1 on my new Moto X and it just fails at the install. I do have Kit Kat 4.4 on my new phone. Yes, I did check the setting to allow 3rd. party apps to be installed. I was told that all I need to do was open the file and it loads by itself. It does go through the process and says "install failed" at the end of installation. OMG, I want my old Google maps back so bad !
  6. #6  
    Rukbat's Avatar

    Posts
    12,181 Posts
    Global Posts
    12,182 Global Posts
    ROM
    Modified Stock 4.4.2

    Default Re: Want to use Older Version of Google Maps

    1) Maps 7.7 DOES allow alternate routes. Not on every trip, but when there's a sensible alternate.

    2) If you install an app called My Directions, it almost makes Maps usable. It''s a name and address directory. You choose your destination, click Search and it runs Maps set to go to that address. Much easier than doing it in Maps.

Similar Threads

  1. Help Downgrading / Rooting my AT&T Galaxy S4 (using 4.4.2)
    By quitedumb in forum AT&T Samsung Galaxy S4
    Replies: 4
    Last Post: 05-27-2014, 03:38 PM
  2. Game of Thrones - Joffrey Smasher
    By Antonis Lambrou in forum Games
    Replies: 1
    Last Post: 03-16-2014, 10:15 AM
  3. Replies: 2
    Last Post: 03-10-2014, 08:34 AM
  4. Bluetooth turns off and switches to speaker on Note 3
    By eeyore6802 in forum Samsung Galaxy Note 3
    Replies: 0
    Last Post: 03-09-2014, 09:00 PM

Posting Permissions